# define SIZE	500
# include <stdio.h>
# include <math.h>
float docorr(float *x1,float x1avg,float *x2,float x2avg,long npts);
float getavg(float *x1, long npts);
main()
{
	long i;
	long sf;
	long npts;
	float x1[SIZE],x2[SIZE];
	float x1avg,x2avg;
	float r;

	i = 0;
	while((sf = scanf("%f %f",&x1[i],&x2[i])) == 2){
		if(i >= SIZE){
			fprintf(stderr,"too many data points\n");
			return(1);
		}
		i++;
	}
	npts = i;
	x1avg = getavg(x1,npts);
	x2avg = getavg(x2,npts);
	r = docorr(x1,x1avg,x2,x2avg,npts);
	printf("r %f\n",r);
	return(0);
}
float
docorr(float *x1,float x1avg,float *x2,float x2avg,long npts)
{
	long i;
	float sum,sum1,sum2;
	float corr;
	double num, den;
	double t1, t2;

	sum = sum1 = sum2 = 0;
	for(i = 0; i < npts; i++){
		sum += (x1[i] - x1avg)*(x2[i] - x2avg);
		sum1 += (x1[i] - x1avg)*(x1[i] - x1avg);
		sum2 += (x2[i] - x2avg)*(x2[i] - x2avg);
	}
	num = (double)sum;
	t1 = sqrt((double)sum1);
	t2 = sqrt((double)sum2);
	den = t1*t2;
	corr = sum/(sqrt(sum1)*sqrt(sum2));
	return(corr);
}

float getavg(float *x1, long npts)
{
	long i;
	float avg;

	avg = 0.;
	for(i = 0; i < npts; i++){
		avg += x1[i];
	}
	avg /= npts;

	return(avg);
}
