# include <stdio.h>
# include "cspect.h"
# define TRUE		1
# define FALSE		0
# define WSHORT		0
# define WFLOAT		1
# define FORWARD	1
# define INVERSE	-1

/*
do a complex fft on ftdat.
*/
int four1(float *data,long nn,long isign);

int
do_fft(ftdat,npts,ntotal,pow_2)
struct cmplx ftdat[];
long npts;
long ntotal;
int pow_2;
{
	float *fftdat;

	long n_zeros;
	long i;
	long stat;

/* pad with zeros */
	n_zeros = ntotal - npts;
	if(n_zeros){
		for(i = npts; i < ntotal; i++){
			ftdat[i].re = 0.;
			ftdat[i].im = 0.;
		}
	}

/* Compute the Fourier transform */
	fftdat = (float *) ftdat;
	stat = four1(fftdat-1,ntotal,FORWARD);
	
	return(stat);
}
