# include <stdio.h>
# include <math.h>
# define TWOPI 6.28318530717958647688
/* Generate a Hanning window as filter coefficients */
main(argc,argv)
int argc;
char *argv[];
{
	int i,npts;
	float h;
	double arg,darg;

	if(argc == 2){
		npts = atoi(argv[1]);
	}

	darg = TWOPI/(double)npts;
	arg = 0.;
	for(i = 0; i < npts; i++){
		h = (1. - cos(arg))/2.;
		printf("%lg %lg\n",arg,h);
		arg += darg;
	}
}
