# include <math.h>
# define NORM 1073741824

main()
{
	int i, r;
	float rayleigh();
	for(i = 0; i < 2000000; i++){
		printf("%f\n",rayleigh());
	}
}

/*
Returns a Rayleigh distributed random variable.
*/
float rayleigh()
{
	float v1,v2,r,fac1,fac,ray;

	do{
		v1 = (float)random()/NORM - 1.;
		v2 = (float)random()/NORM - 1.;
		r = v1*v1 + v2*v2;
	} while(r >= 1.0 || r == 0.0);
	fac = sqrt(-2.0*log(r)/r);
	v1 = v1*fac;
	v2 = v2*fac;
	ray = sqrt(v1*v1 + v2*v2);
	return(ray);
}
