# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# define RECSIZE 256
# define ARRSIZE 2*RECSIZE
main(argc,argv)
int argc;
char *argv[];
{
	long recno;
	char filename[100];
	FILE *fp;
	float x[ARRSIZE];
	long i;
	long fr;

	if(argc != 3){
		fprintf(stderr,"usage %s record_no filename\n",argv[0]);
		return(1);
	}
	recno = atoi(argv[1]);
	strcpy(filename,argv[2]);
	if( (fp = fopen(filename,"rb")) == NULL){
		fprintf(stderr,"error %s cannot open file %s\n",
			argv[0],filename);
		return(1);
	}
	
	printf("reading record %ld\n",recno);
	for(i = 0; i < recno; i++){
		printf("reading %ld\n",i);
		fr = fread(x,4,ARRSIZE,fp);
		printf("got %ld data points\n",fr);
	}
	printf("# real part\n");
	for(i = 0; i < RECSIZE; i++){
		printf("%ld %f\n",i,x[2*i]);
	}
	printf("# imaginary part\n");
	for(i = 0; i < RECSIZE; i++){
		printf("%ld %f\n",i,x[2*i+1]);
	}
	return(0);
}
